
//  CapitalsArrays.java (c) Kari Laitinen

//  http://www.naturalprogramming.com

//  2016-09-23  File created.
//  2016-09-23  Last modification.

//  This is an improved version of program Capitals.java

import java.util.* ;

class CapitalsArrays
{
   public static void main( String[] not_in_use )
   {
      Scanner keyboard = new Scanner( System.in ) ;

      // Here we create an initialized array of arrays of strings.
      // Each small array contains a two strings that form
      // a country-capital pair.

      String[][] countries_and_capitals  =
      {
         { "Finland", "Helsinki" }, { "Usa", "Washington" },
         { "Denmark", "Copenhagen" }, { "Afghanistan", "Kabul" },
         { "Russia", "Moscow" }, { "England", "London" },
         { "Italy", "Rome" }, { "France", "Paris" }, { "Spain", "Madrid" },
         { "Portugal", "Lisbon" }, { "Chile", "Santiago" }, { "Japan", "Tokyo" },
         { "Sweden", "Stockholm" }, { "Norway", "Oslo" },
         { "Pakistan", "Islamabad" }, { "Iceland", "Reykjavik" },
         { "Hungary", "Budapest" }, { "Holland", "Amsterdam" },
         { "Belgium", "Brussels" }, { "Austria", "Vienna" },
         { "Israel", "Jerusalem" }
      } ;

      System.out.print("\n This program may know the capital of a country."
                     + "\n Type in the name of some country: " ) ;

      String  country_name  =  keyboard.nextLine().toLowerCase() ;

      // First we 'capitalize' the given country name. This means that
      // its first letter will be an uppercase letter.

      country_name  =  country_name.substring( 0, 1 ).toUpperCase() 
                     +  country_name.substring( 1 ) ;

      // The following loop will check if the given country name 
      // can be found in one of the arrays.

      boolean country_name_is_in_array = false ;

      int name_pair_index = 0 ;

      while ( country_name_is_in_array == false &&
              name_pair_index < countries_and_capitals.length )
      {
         if ( countries_and_capitals[ name_pair_index ] [ 0 ].equals(
                                                               country_name ) )
         {
            country_name_is_in_array = true ;
         }
         else
         {
            name_pair_index ++ ;
         }
      }

      if ( country_name_is_in_array == true )
      {
         // The country name was found in countries_and_capitals

         String capital_name = countries_and_capitals[ name_pair_index ] [ 1 ] ;

         System.out.print( "\n The capital of " + country_name
                         + " is " + capital_name  + ".\n\n" ) ;
      }
      else
      {
         System.out.print( "\n The capital of " + country_name
                         + " is not known.\n\n" ) ;         
      }
   }
}



